﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace Tianyi.DingtalkRobotKit
{
    public class MultiCardMessage : MessageBase
    {
        public MultiCardMessage(MultiCardOption option) : base()
        {
            this.actionCard = option;
        }

        public MultiCardMessage(MultiCardOption option, at linkAt) : base()
        {
            this.actionCard = option;
            this.at = linkAt;
        }

        public MultiCardOption actionCard { get; set; }

        /// <summary>
        /// 消息类型
        /// </summary>
        public override string msgtype { get => "actionCard"; }

        /// <summary>
        /// 转换为json字符串
        /// </summary>
        public override string ToJson()
        {
            var meaasge = new
            {
                msgtype = this.msgtype,
                actionCard = this.actionCard,
                at = this.at
            };

            string messageJson = JsonConvert.SerializeObject(meaasge);

            return messageJson;
        }
    }
}
